import { AfterContentInit, OnInit, OnDestroy, Renderer2 } from '@angular/core';
import { NgForm } from '@angular/forms';
import { Locale, LocaleProvider, LocalizedValidationError } from '@js-sugar/angular';
import * as i0 from "@angular/core";
export declare class FormFieldComponent implements OnInit, AfterContentInit, OnDestroy {
    private _renderer;
    private _form;
    private _localSpecifier?;
    label?: string;
    hint?: string;
    showErrors: boolean;
    showRequiredMarker: boolean;
    showSubscripts: boolean;
    private _ngControl;
    private _ngControlElement;
    private _isRequired;
    private _locale?;
    private _localizedErrors?;
    private _firstLocalizedError?;
    private _statusChangeSubscription?;
    private _localeChangeSubscription?;
    get firstLocalizedError(): LocalizedValidationError | undefined;
    get localizedErrors(): {
        [key: string]: LocalizedValidationError;
    } | undefined;
    get touched(): boolean;
    get dirty(): boolean;
    get isRequired(): boolean;
    private _onFocusOut;
    constructor(_renderer: Renderer2, _form: NgForm, _localSpecifier?: Locale | LocaleProvider | undefined);
    ngOnInit(): void;
    ngAfterContentInit(): void;
    private _validate;
    private _isRequiredField;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormFieldComponent, [null, { optional: true; }, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormFieldComponent, "jss-form-field, jss-field, jssb-form-field, jssb-field", ["jssFormField"], { "label": "label"; "hint": "hint"; "showErrors": "showErrors"; "showRequiredMarker": "showRequiredMarker"; "showSubscripts": "showSubscripts"; }, {}, ["_ngControl", "_ngControlElement"], ["*"], false>;
}
